# Tutorial: Installation und Konfiguration einer Demo von VuFind mit VirtualBox

Das Tutorial basiert auf einer [Projektarbeit von Stefan Niesner](http://malisprojekte.web.th-koeln.de/wordpress/stefan-niesner/) aus dem Jahr 2015 und wird laufend für neue VuFind-Versionen aktualisiert.

## TODO

Das Vorhaben wurde auf dem [6. VuFind-Anwendertreffen](http://www.vufind.de/anwendertreffen/anwendertreffen-2017/) in einem [Vortrag](https://felixlohmeier.de/slides/2017-09-28_vufind-anwendertreffen-keynote.html#/38) angekündigt und wird im Zeitraum Oktober-November 2017 bearbeitet.

- [x] ODT mit Pandoc in Markdown umwandeln
- [x] Gitbook mit Suchfunktion einrichten
- [ ] Anleitung aktualisieren (VuFind 4)
    - [ ] Kapitel 1-2 (VirtualBox/Xubuntu)
    - [x] Kapitel 3-9 (VuFind 4.1)
    - [ ] Kapitel 10-12 (neue Beispieldaten benötigt)
- [ ] Test im Kurs [Bibliotheks- und Archivinformatik an der HTW Chur](https://www.gitbook.com/read/book/felixlohmeier/kurs-bibliotheks-und-archivinformatik)
- [ ] Erweiterung um Kapitel zu Datenimport über OAI-PMH

## Formate

* Lesefassung bei GitBook \(HTML\): <https://www.gitbook.com/read/book/felixlohmeier/vufind-tutorial-de>
* Druckfassung bei GitBook \(PDF\): <https://www.gitbook.com/download/pdf/book/felixlohmeier/vufind-tutorial-de>
* Repository bei GitHub \(zum Nachnutzen\): <https://github.com/felixlohmeier/vufindtutorialde>

## Inhalte

01. [Installation von VirtualBox](01_Installation_VirtualBox.md)
02. [Installation von Linux (Xubuntu)](02_Installation_Xubuntu.md)
03. [Installation von VuFind](03_Installation_VuFind.md)
04. [Durchführung eines Testimports](04_Installation_Testimport.md)
05. [Überblick zur Konfiguration](05_Konfiguration_Ueberblick.md)
06. [Allgemeine Einstellungen](06_Konfiguration_Allgemein.md)
07. [Anpassung der Katalogoberfläche](07_Konfiguration_Katalogoberflaeche.md)
08. [Konfiguration der Facetten](08_Konfiguration_Facetten.md)
09. [Konfiguration von Kataloganreicherungen](09_Konfiguration_Kataloganreicherungen.md)
10. [Konfiguration der Suche, Teil I](10_Konfiguration_Suche_Teil_I.md)
11. [Datenimport MARC21 MARCXML](11_Datenimport_MARC21_MARCXML.md)
12. [Konfiguration der Suche, Teil II](12_Konfiguration_Suche_Teil_II.md)

## Systemvoraussetzungen

* Computer mit Windows, Mac oder Linux
* Administrationsrechte zur Installation von Software
* 2 GB freien Arbeitsspeicher für die virtuelle Maschine
* 25 GB freien Speicher auf der Festplatte
* einigermaßen aktuelle CPU mit [Hardware-Unterstützung für Virtualisierung](http://www.sysprobs.com/disable-enable-virtualization-technology-bios) (Intel VT-X, AMD-V)

## Lizenz

Dieses Werk ist lizenziert unter einer [Creative Commons Namensnennung - Weitergabe unter gleichen Bedingungen 4.0 International Lizenz](http://creativecommons.org/licenses/by-sa/4.0/).

[![Creative Commons Lizenzvertrag](https://i.creativecommons.org/l/by-sa/4.0/88x31.png)](http://creativecommons.org/licenses/by-sa/4.0/)
